declare namespace AMap {
  namespace CitySearch {
    export interface CitySearchResult {
      city: string
      bounds: Bounds
    }
  }

  interface CitySearch {
    new (): CitySearch

    getLocalCity(
      callback: (status: string, result: CitySearch.CitySearchResult) => any
    ): void
    getCityByIp(
      ip: string,
      callback: (status: string, result: CitySearch.CitySearchResult) => any
    ): void
  }
}
